Skip to main content
GET
/
api2
/
v1
/
clients
/
{clientUid}
Get client
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v1/clients/{clientUid} \
  --header 'Authorization: <api-key>'
{
  "createdBy": {
    "email": "<string>",
    "firstName": "<string>",
    "id": "<string>",
    "lastName": "<string>",
    "uid": "<string>",
    "userName": "<string>"
  },
  "displayNoteInProject": true,
  "externalId": "<string>",
  "id": "<string>",
  "name": "<string>",
  "netRateScheme": {
    "createdBy": {
      "email": "<string>",
      "firstName": "<string>",
      "id": "<string>",
      "lastName": "<string>",
      "uid": "<string>",
      "userName": "<string>"
    },
    "dateCreated": "2023-11-07T05:31:56Z",
    "id": "<string>",
    "isDefault": true,
    "name": "<string>",
    "uid": "<string>"
  },
  "note": "<string>",
  "priceList": {
    "id": "<string>",
    "name": "<string>",
    "uid": "<string>"
  },
  "uid": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

clientUid
string
required

UID of the client

Response

OK

createdBy
object
displayNoteInProject
boolean

When true, the client note is shown on projects associated with this client

externalId
string

External identifier from an external system

id
string

Internal numeric identifier, encoded as a string

name
string

Human-readable name of the client; unique within the organization

netRateScheme
object
note
string

Client note

priceList
object
uid
string

Unique identifier used in API paths